%define __libtoolize :
%global momorel 13
%global debug_package %{nil}

Summary:     goom - visual effects plugin for xmms.
Name:        xmms-goom
Version:     1.99.4
Release: %{momorel}m%{?dist}
License:     LGPL
Group:       Applications/Multimedia
URL:         http://www.ios-software.com/
# http://www.ios-software.com/download.php3?what=20123&lg=AN
Source0:     http://www.ios-software.com/goom/src/goom-%{version}-src.tgz
Patch0:	     xmms-goom-gcc34.patch
NoSource: 0
Requires:    xmms >= 1.2.10-13m
BuildPreReq: xmms-devel >= 1.2.10-13m, SDL-devel >= 1.2.7-10m
BuildRoot   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Goom is a visual effects generator for mp3 players, available for XMMS,
iTunes, Winamp and Windows Media Player.

%prep
%setup -q -n goom-%{version}
%patch0 -p1

%build
export CC=gcc_3_2
OPT_FLAGS=`echo %{optflags}|sed 's/-mtune=generic//g' `
CFLAGS=$OPT_FLAGS
CXXFLAGS=$OPT_FLAGS
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS BENCHMARKS COPYING ChangeLog INSTALL KNOWNBUGS NEWS README
%{_libdir}/xmms/Visualization/libgoom.*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.99.4-13m)
- rebuild against rpm-4.6

* Fri Dec 26 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.99.4-12m)
- revise for rpm46 (s/%%patch/%%patch0/)

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.99.4-11m)
- rebuild against gcc43

* Sun Sep 23 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.99.4-10m)
- disabled debug_package

* Wed Mar 14 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.99.4-9m)
- support -mtune=generic

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.99.4-8m)
- delete libtool library

* Sun Mar 26 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.99.4-7m)
- change installdir (/usr/X11R6 -> /usr)

* Sat Feb 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.99.4-6m)
- rebuild against SDL-1.2.7-10m

* Sun Jan  9 2005 Toru Hoshina <t@momonga-linux.org>
- (1.99.4-5m)
- force using gcc_3_2.
- asm directive for gcc 3.4 is malfunction yet.

* Sun Aug 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.99.4-4m)
- rebuild against DirectFB-0.9.21

* Sun Nov 16 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.99.4-3m)
- rebuild against xmms 1.2.8

* Wed Jun  4 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.99.4-2m)
  rebuild against DirectFB 0.9.18

* Tue Feb 18 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.99.4-1m)
  Imported.
